> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ntropy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server.

# Create an account holder.

POST https://api.ntropy.com/v3/account_holders
Content-Type: application/json

Reference: https://docs.ntropy.com/documentation/api/account-holders/create-account-holder-v-3-account-holders-post

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects an AccountHolderCreate.

- `id` (string, required) — The unique ID of the account holder of the transaction
- `type` (enum, required) — The type of the account holder.
  - Allowed values: `consumer`, `business`
- `name` (string, optional, nullable) — The name of the account holder
- `category_id` (string, optional, nullable) — The category set ID to use for this account holder's transactions

## Response

### 200

Successful Response

- `id` (string, required) — The unique ID of the account holder of the transaction
- `type` (enum, required) — The type of the account holder.
  - Allowed values: `consumer`, `business`
- `created_at` (datetime, required) — The timestamp of when the account holder was created.
- `name` (string, optional, nullable) — The name of the account holder
- `category_id` (string, optional, nullable) — The category set ID to use for this account holder's transactions

## Errors

### 400 Bad Request Error

Account holder with the provided id already exists.

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "id": "string",
  "type": "consumer"
}
```

**Response**

```json
{
  "id": "35b927b6-6fda-40aa-93b8-95b47c2b2cad",
  "type": "consumer",
  "created_at": "2024-03-30T00:00:00",
  "name": "John Doe"
}
```

**SDK Code**

```python Python SDK
from ntropy_sdk import SDK

sdk = SDK("cd1H...Wmhl")
ah = sdk.account_holders.create(
    id="35b927b6-6fda-40aa-93b8-95b47c2b2cad",
    type="consumer",
    name="John Doe",
)
```

```javascript
const url = 'https://api.ntropy.com/v3/account_holders';
const options = {
  method: 'POST',
  headers: {'X-Api-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"id":"string","type":"consumer"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.ntropy.com/v3/account_holders"

	payload := strings.NewReader("{\n  \"id\": \"string\",\n  \"type\": \"consumer\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.ntropy.com/v3/account_holders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"id\": \"string\",\n  \"type\": \"consumer\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.ntropy.com/v3/account_holders")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"id\": \"string\",\n  \"type\": \"consumer\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.ntropy.com/v3/account_holders', [
  'body' => '{
  "id": "string",
  "type": "consumer"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.ntropy.com/v3/account_holders");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"id\": \"string\",\n  \"type\": \"consumer\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "id": "string",
  "type": "consumer"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/account_holders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```